QUnit.test( "First test with QUnit", function( assert ) {
	assert.ok( 1 == "1", "Passed!" ); 
});

QUnit.test('Tests using the functions equal(...) and notEqual(...)', function(assert) {
   assert.expect(6);
   // With equal()
   assert.equal(multiply(2, 2), 4, 'Multiplication of two positive numbers');
   assert.equal(multiply(-2, -2), 4, 'Multiplication of two negative numbers');
   assert.equal(multiply(-2, 2), -4, 'Multiplication of a negative number and a positive number');
   assert.equal(multiply(2, 0), 0, 'Multiplication of a positive number and a neutral number ');
   
   // With notEqual()
   assert.notEqual(multiply(1, 1), 0, 'Multiplication of two equal positive numbersequal');
   assert.notEqual(multiply(2, 3), 0, 'Multiplication of a positive number and a positive number');
});

QUnit.test('Tests using the functions strictEqual(...) and notStrictEqual(...)', function(assert) {
   assert.expect(2);
   // With strictEqual()
   assert.strictEqual(multiply(-2, 2), -4, 'Multiplying a negative and a positive number is equal to a negative integer');
   // With notStrictEqual()
   assert.notStrictEqual(multiply(-2, 2), '-4', 'Multiplying a negative and a positive number is not equal to a string');
});

QUnit.test('Test using the function propEqual(...)', function(assert) {
   assert.expect(1);
   // 1º Object
   var person = new Person('John Nash','johnnash@gmail.com');
   // 2º Object
   human.name = 'John Nash';
   human.email = 'johnnash@gmail.com';
   
   assert.propEqual(person, human, 'Both objects have the same props and values');
 
});
 
QUnit.test('Test using the function notPropEqual(...)', function(assert) {
   assert.expect(1);
   // 1º Object
   var person = new Person('John Nash','johnnash@gmail.com');
   // 2º Object
   human.name = 'Mary';
   human.email = 'johnnash@gmail.com';
    
   assert.notPropEqual(person, human, 'Even both objects having the same props, one of them has a different name');
});

QUnit.test('Test using the function deepEqual(...)', function(assert) {
   assert.expect(1);
   // 1º Object
   var person = new Person('John Nash','johnnash@gmail.com');
   // 2º Object
   var person2 = new Person('John Nash','johnnash@gmail.com');
   
   assert.deepEqual(person, person2, 'Both objects have the same props, values and prototypes');
 
});
 
QUnit.test('Test using the function notDeepEqual(...)', function(assert) {
   assert.expect(1);
   // 1º Object
   var person = new Person('John Nash','johnnash@gmail.com');
   // 2º Object
   human.name = 'John Nash';
   human.email = 'johnnash@gmail.com';
    
   assert.notDeepEqual(person, human, 'Both objects have the same props and values, but they are different because have different prototypes');
});